path: /build/build/prometheus-bin-app-metrics-3.8.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-metrics/prometheus-bin -pv -t
  - |
    emerge -j ${JOBS} --nodeps app-metrics/prometheus-bin
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/prometheus-bin && luet-portage
    --dir /pkgdir/prometheus-bin app-metrics/prometheus-bin
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:bb823fa1e22c242038a35bd29b7653b7f5157bc61d2308bcea0978202b1f618f
  package:
    name: prometheus-bin
    version: 3.8.1
    category: app-metrics
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The Prometheus monitoring system and time series database.
    uri:
    - https://github.com/prometheus/prometheus
    license: Apache-2.0
    buildtimestamp: 2025-12-28 19:21:24.935480604 +0000 UTC m=+169.830759054
    labels:
      DEPEND: sys-apps/shadow
      IUSE: amd64 arm64
      emerge.packages: app-metrics/prometheus-bin
      kit: core-server-kit
      original.package.name: app-metrics/prometheus-bin
      original.package.slot: "0"
      original.package.version: 3.8.1
    treedir: /build/packages
  package_dir: /pkgdir/prometheus-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 08a269cdedd4f5b6b0a7c957c41e0e78f24d7b3dddaa7e80dfef0cf3adfc4087
compressiontype: zstd
files:
- etc/conf.d/prometheus
- etc/init.d/prometheus
- etc/prometheus/prometheus.yml
- usr/bin/prometheus
- usr/bin/promtool
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/BUILD_TIME
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/CATEGORY
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/CBUILD
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/CFLAGS
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/CHOST
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/CONTENTS
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/COUNTER
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/CTARGET
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/CXX
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/CXXFLAGS
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/DEFINED_PHASES
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/DEPEND
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/DESCRIPTION
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/EAPI
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/FEATURES
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/HOMEPAGE
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/INHERITED
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/IUSE
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/IUSE_EFFECTIVE
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/KEYWORDS
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/LDFLAGS
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/LICENSE
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/NEEDED
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/NEEDED.ELF.2
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/PF
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/SIZE
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/SLOT
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/USE
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/environment.bz2
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/prometheus-bin-3.8.1.ebuild
- var/db/pkg/app-metrics/prometheus-bin-3.8.1/repository
- var/lib/prometheus/.keep_app-metrics_prometheus-bin-0
- var/log/prometheus/.keep_app-metrics_prometheus-bin-0
package_cacheimage: ""
runtime:
  name: prometheus-bin
  version: 3.8.1
  category: app-metrics
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The Prometheus monitoring system and time series database.
  uri:
  - https://github.com/prometheus/prometheus
  license: Apache-2.0
  labels:
    DEPEND: sys-apps/shadow
    IUSE: amd64 arm64
    emerge.packages: app-metrics/prometheus-bin
    kit: core-server-kit
    original.package.name: app-metrics/prometheus-bin
    original.package.slot: "0"
    original.package.version: 3.8.1
